Bug 629014 - Review Request: python-zope-proxy - Generic Transparent Proxies
Review Request: python-zope-proxy - Generic Transparent Proxies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
: 476523 (view as bug list)
Depends On:
Blocks: 629027
  Show dependency treegraph
 
Reported: 2010-08-31 12:56 EDT by Robin Lee
Modified: 2010-09-08 22:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 22:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2010-08-31 12:56:12 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zope-proxy.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-zope-proxy-3.6.1-3.fc13.src.rpm

Description: 
This package provides convenient functions for dealing with proxies.

rpmlint results:
$ rpmlint ./python-zope-proxy.spec 
./python-zope-proxy.spec: W: no-cleaning-of-buildroot %clean
./python-zope-proxy.spec: W: no-buildroot-tag
./python-zope-proxy.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ./python-zope-proxy-3.6.1-3.fc13.src.rpm 
python-zope-proxy.src: W: no-cleaning-of-buildroot %clean
python-zope-proxy.src: W: no-buildroot-tag
python-zope-proxy.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ./python-zope-proxy-3.6.1-3.fc13.i686.rpm 
python-zope-proxy.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/zope/proxy/_zope_proxy_proxy.so _zope_proxy_proxy.so
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-zope-proxy-devel-3.6.1-3.fc13.noarch.rpm 
python-zope-proxy-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-zope-proxy-debuginfo-3.6.1-3.fc13.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Robin Lee 2010-08-31 12:57:44 EDT
*** Bug 476523 has been marked as a duplicate of this bug. ***
Comment 2 Chen Lei 2010-09-03 04:34:16 EDT
I don't see any issue about this package, approved!
Comment 3 Robin Lee 2010-09-03 05:30:45 EDT
New Package SCM Request
=======================
Package Name: python-zope-proxy
Short Description: Generic Transparent Proxies
Owners: cheeselee
Branches: f13 f14 el6
InitialCC:
Comment 4 Kevin Fenzi 2010-09-05 13:58:44 EDT
Why remove the check section?

also, why the rm -f's in install? 

Might comment both of those?
Comment 5 Robin Lee 2010-09-05 21:09:54 EDT
(In reply to comment #4)
> Why remove the check section?
included again

> also, why the rm -f's in install? 
To remove the installed source files

3.6.1-4

Changes:
- Include tests
- More comments

Spec URL: http://cheeselee.fedorapeople.org/python-zope-proxy.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-zope-proxy-3.6.1-4.fc13.src.rpm
Comment 6 Chen Lei 2010-09-05 21:55:08 EDT
(In reply to comment #4)
> Why remove the check section?
> 
There are 100+ zope packages, if we add %check section, it's almost impossible to build the whole zope stack in stable branches.

e.g.

A depends on particular version C and D if we enable testing.

C depends on particular version B and D if we enable testing.

Also, I'm not sure it's really worth to pull in a lot of dependencies(>30M) simply because of %check section when building some small zope packages(~10k).
Comment 7 Kevin Fenzi 2010-09-06 19:48:28 EDT
I wasn't requiring you to enable check, I just wondering why it was not enabled. 
You might want to just add a comment to the spec file as to why this is not enabled?

Pulling dependencies should not be a problem. Thats all done at build time in our buildsystem, no need to make things small there, IMHO.
Comment 8 Chen Lei 2010-09-06 20:41:39 EDT
(In reply to comment #7)
> 
> Pulling dependencies should not be a problem. Thats all done at build time in
> our buildsystem, no need to make things small there, IMHO.

I think the total number of zope related modules is too large, it's reasonable to simplify specfile as much as possible to save time for maintaining a such complicated stack.

Also, if we zope.aaa need zope.bbb > 3.x for testing, then we have to request zope.bbb buildroot override before we build zope.aaa in stable branches, considering the number of zope modules I think tagging those packages manually is not a good idea.
Comment 9 Robin Lee 2010-09-06 21:25:08 EDT
Or we can do as much as possible to keep the tests. The requirements of tests of some packages are small, just like this one, enabling its tests should disturb and cost little. And tests provided upstream will help us securing the availability of the basic functions of that package.

And if the requirements of tests of some package are really hard to satisfy, then I will disable the tests with comments added to the spec file.

After all, this package should be sane and nothing may prevent permission of SCM request.
Comment 10 Kevin Fenzi 2010-09-08 13:59:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.